Bug 1490447 - [RFE] option to collect logs from one host per cluster
Summary: [RFE] option to collect logs from one host per cluster
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-log-collector
Version: 2.1.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ovirt-4.2.0
: ---
Assignee: Ala Hino
QA Contact: Lukas Svaty
URL:
Whiteboard:
Depends On:
Blocks: 1509653 1512307 1512308
TreeView+ depends on / blocked
 
Reported: 2017-09-11 14:57 UTC by Dan Kenigsberg
Modified: 2019-05-16 13:06 UTC (History)
6 users (show)

Fixed In Version: ovirt-log-collector-4.2.0-1.el7ev
Doc Type: Enhancement
Doc Text:
Previously, data was collected from all hosts in a cluster, which created an output file that was too large to handle. In this release, the hypervisor-per-cluster option enables you to collect data from a single host (the Storage Pool Manager, if available) per cluster.
Clone Of:
: 1512307 1512308 (view as bug list)
Environment:
Last Closed: 2018-05-15 17:31:24 UTC
oVirt Team: Integration
Target Upstream Version:
lsvaty: testing_plan_complete-


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:1465 None None None 2018-05-15 17:32:08 UTC
oVirt gerrit 82949 master MERGED collector: Add a property to indicate whether a host is the SPM 2017-11-07 15:53:00 UTC
oVirt gerrit 82950 master MERGED collector: Introduce hypervisor-per-cluster option 2017-11-07 15:53:09 UTC
oVirt gerrit 83346 master MERGED collector: Add a property to indicate whether a host is up 2017-11-07 15:53:06 UTC
oVirt gerrit 83860 ovirt-log-collector-3.6 MERGED collector: Add a property to indicate whether a host is the SPM 2017-11-14 15:24:50 UTC
oVirt gerrit 83861 ovirt-log-collector-3.6 MERGED collector: Add a property to indicate whether a host is up 2017-11-14 15:25:00 UTC
oVirt gerrit 83862 ovirt-log-collector-3.6 MERGED collector: Introduce hypervisor-per-cluster option 2017-11-14 15:25:08 UTC
oVirt gerrit 83863 ovirt-log-collector-4.0 ABANDONED collector: Add a property to indicate whether a host is the SPM 2017-11-13 20:33:09 UTC
oVirt gerrit 83864 ovirt-log-collector-4.0 ABANDONED collector: Add a property to indicate whether a host is up 2017-11-13 20:33:21 UTC
oVirt gerrit 83865 ovirt-log-collector-4.0 ABANDONED collector: Introduce hypervisor-per-cluster option 2017-11-13 20:33:27 UTC
oVirt gerrit 83866 ovirt-log-collector-4.1 MERGED collector: Add a property to indicate whether a host is the SPM 2017-11-14 15:24:28 UTC
oVirt gerrit 83867 ovirt-log-collector-4.1 MERGED collector: Add a property to indicate whether a host is up 2017-11-14 15:24:31 UTC
oVirt gerrit 83868 ovirt-log-collector-4.1 MERGED collector: Introduce hypervisor-per-cluster option 2017-11-14 15:24:34 UTC

Description Dan Kenigsberg 2017-09-11 14:57:01 UTC
Description of problem:
ovirt-log-collector collects logs from all hosts, which makes its output too big to handle. Specifying a list of hypervisors by name is tedious and error-prone. People tend to be using --no-hypervisor and miss the purpose.

This RFE is about adding a midway --one-hypervisor-per-cluster. When supplied to the script, the script would choose one host per cluster, and collect its logs. The current SPM and the current host of a self-hosted-engine should be included as well.

Comment 1 Dan Kenigsberg 2017-11-07 13:36:28 UTC
We would like to backport this to 3.6-els, to ease log collection prior to upgrade.

Comment 3 Lukas Svaty 2017-11-08 11:49:20 UTC
My 2 cents:
1. If this will be turned off by default, customers won't be using it / will keep using --no-hypervisor
2. "--one-hypervisor-per-cluster" name is too long, I would prefer something shorter and more user-friendly such as 
3. Easy way to fix 1. would be to ask question on --no-hypervisor to include at least 1 or if user is sure that hypervisors should be omitted

QS:
What host do we choose? SPM? With PM? First host? Random host? Does it matter for DEV on debugging side?

Comment 6 Dan Kenigsberg 2017-11-12 15:20:55 UTC
I think I misused the clone job, but managed to cloned to everything but 4.0 (no such target milestone)

Comment 8 Lukas Svaty 2018-01-26 15:03:53 UTC
verified in ovirt-log-collector-4.2.0-1.el7ev.noarch

Comment 13 errata-xmlrpc 2018-05-15 17:31:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1465

Comment 14 Franta Kust 2019-05-16 13:06:57 UTC
BZ<2>Jira Resync


Note You need to log in before you can comment on or make changes to this bug.